<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionLayoutBlockCreateLayoutBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'content' => [
            'en'   => [
                'name' => 'Content',
            ],
            'type' => 'anomaly.field_type.blocks',
        ],
        'layout'  => [
            'en'     => [
                'name' => 'Layout',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'related' => 'layout_block.columns',
                'add_row' => 'Add Column',
            ],
        ],
    ];

}
